MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029247Open CASCADE[OCCT] OCCT:Testspublic2017-10-19 11:562018-06-29 21:19
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformmacOSOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029247: Tests, CheckCommands.tcl - Tcl exception "expected integer but got 3dviewer" in test cases on macOS
DescriptionTest cases on macOS(using native tcl from /usr/lib) failed when $lst starts with numeral, because upvar guesses that its first parameter is level rather than otherVar.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025945closedbugmaster Make stable checking of shape global properties in tests 

-  Notes
(0071627)
git (administrator)
2017-10-19 12:08

Branch CR29247 has been created by apn.

SHA-1: 74c2a44aa9357a487c32063e28b82ff29dacdcf8


Detailed log of new commits:

Author: apn
Date: Thu Oct 19 12:08:05 2017 +0300

    0029247: Tcl exception "expected integer but got 3dviewer" in test cases on macOS
    
    Test cases on macOS(using native tcl from /usr/lib) failed when $lst starts with numeral, because upvar guesses that its first parameter is level rather than otherVar. The fix is to explicitly supply level to 1 (default value if uplevel is omitted) to avoid tcl exception "expected integer but got 3dviewer".
(0071628)
git (administrator)
2017-10-19 12:09

Branch CR29247 has been updated forcibly by apn.

SHA-1: ba5af1012999e4bebbd4b82dbcd4b8be709e3e09
(0071629)
apn (administrator)
2017-10-19 12:10

Dear ski, could you please review CR29247.
(0071712)
git (administrator)
2017-10-23 15:01

Branch CR29247 has been deleted by kgv.

SHA-1: ba5af1012999e4bebbd4b82dbcd4b8be709e3e09

- Related Changesets
occt: master 72bcf3c7
Timestamp: 2017-10-19 09:08:05
Author: apn
Committer: bugmaster
Details ] Diff ]
0029247: Tests, CheckCommands.tcl - Tcl exception "expected integer but got 3dviewer" in test cases on macOS

Test cases on macOS (using native tcl from /usr/lib) fail when $lst starts with numeral, because upvar guesses that its first parameter is level rather than otherVar.
The fix is to explicitly supply level to 1 (default value if uplevel is omitted) to avoid tcl exception "expected integer but got 3dviewer".
mod - src/DrawResources/CheckCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-19 11:56 apn New Issue
2017-10-19 11:56 apn Assigned To => apn
2017-10-19 12:08 git Note Added: 0071627
2017-10-19 12:09 git Note Added: 0071628
2017-10-19 12:10 apn Test case number => Not needed
2017-10-19 12:10 apn Note Added: 0071629
2017-10-19 12:10 apn Assigned To apn => ski
2017-10-19 12:10 apn Status new => resolved
2017-10-19 12:11 kgv Summary Tcl exception "expected integer but got 3dviewer" in test cases on macOS => Tests - Tcl exception "expected integer but got 3dviewer" in test cases on macOS
2017-10-19 12:12 ski Assigned To ski => bugmaster
2017-10-19 12:12 ski Status resolved => reviewed
2017-10-19 12:14 kgv Relationship added child of 0025945
2017-10-19 12:14 kgv Product Version => 7.0.0
2017-10-19 12:15 kgv Summary Tests - Tcl exception "expected integer but got 3dviewer" in test cases on macOS => Tests, CheckCommands.tcl - Tcl exception "expected integer but got 3dviewer" in test cases on macOS
2017-10-19 12:19 bugmaster Status reviewed => tested
2017-10-19 12:39 kgv Target Version 7.4.0* => 7.3.0
2017-10-19 19:11 bugmaster Changeset attached => occt master 72bcf3c7
2017-10-19 19:11 bugmaster Status tested => verified
2017-10-19 19:11 bugmaster Resolution open => fixed
2017-10-23 15:01 git Note Added: 0071712
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker